Index: /trunk/src/lib/coord/p_node.cc
===================================================================
--- /trunk/src/lib/coord/p_node.cc	(revision 6053)
+++ /trunk/src/lib/coord/p_node.cc	(revision 6054)
@@ -22,10 +22,8 @@
 #include "class_list.h"
 
-#include "stdincl.h"
 #include "compiler.h"
-#include "error.h"
 #include "debug.h"
-#include "vector.h"
-
+
+#include "glincl.h"
 #include "color.h"
 
@@ -86,11 +84,14 @@
 PNode::~PNode ()
 {
-  // remove the Node, delete it's children.
-  PNode* tmp;
-  while (this->children.size() > 0)
-  {
-    tmp = this->children.front();
-    this->children.pop_front();
-      delete tmp;
+  // remove the Node, delete it's children (if required).
+  std::list<PNode*>::iterator tmp = this->children.begin();
+  std::list<PNode*>::iterator deleteNode;
+  while (tmp != this->children.end())
+  {
+    deleteNode = tmp++;
+    if ((this->parentMode & PNODE_PROHIBIT_CHILD_DELETE) || ((*deleteNode)->parentMode & PNODE_PROHIBIT_DELETE_WITH_PARENT) )
+      (*deleteNode)->reparent();
+    else
+      delete (*deleteNode);
   }
   if (this->parent != NULL)
@@ -120,6 +121,7 @@
   this->parent = parent;
   this->parentMode = PNODE_PARENT_MODE_DEFAULT;
-
-  // iterators
+  this->bActive = true;
+
+  // smooth-movers
   this->toCoordinate = NULL;
   this->toDirection = NULL;
@@ -269,4 +271,5 @@
   this->setAbsCoor(Vector(x, y, z));
 }
+
 
 /**
@@ -321,4 +324,5 @@
 }
 
+
 /**
  * @brief set relative direction
@@ -336,4 +340,5 @@
   this->bRelCoorChanged = true;
 }
+
 
 /**
@@ -366,4 +371,5 @@
 }
 
+
 /**
  * @see void PNode::setRelDirSoft (const Quaternion& relDir)
@@ -379,4 +385,5 @@
 }
 
+
 /**
  * @brief sets the absolute direction
@@ -399,4 +406,5 @@
 }
 
+
 /**
  * @see void PNode::setAbsDir (const Quaternion& relDir)
@@ -412,4 +420,5 @@
 }
 
+
 /**
  * @brief sets the absolute direction
@@ -430,4 +439,5 @@
   this->bRelDirChanged = true;
 }
+
 
 /**
@@ -491,5 +501,5 @@
  * @param child the child to remove from this pNode.
  *
- * Children from pNode will not be lost, they are referenced to NullPointer
+ * Children from pNode will not be lost, they are Reparented by the rules of the ParentMode
  */
 void PNode::removeChild (PNode* child)
@@ -503,4 +513,5 @@
 }
 
+
 /**
  * @brief remove this pnode from the tree and adds all following to NullParent
@@ -510,8 +521,14 @@
 void PNode::removeNode()
 {
-  list<PNode*>::iterator child;
-  for (child = this->children.begin(); child != this->children.end(); child ++)
-    NullParent::getInstance()->addChild(*child);
-
+  if (this->parentMode & PNODE_REPARENT_CHILDREN_ON_REMOVE)
+  {
+    list<PNode*>::iterator child = this->children.begin();
+    list<PNode*>::iterator reparenter;
+    while (child != this->children.end())
+    {
+      reparenter = child++;
+      (*reparenter)->reparent();
+    }
+  }
   if (this->parent != NULL)
     this->parent->children.remove(this);
@@ -529,4 +546,5 @@
     parentNode->addChild(this);
 }
+
 
 /**
@@ -568,4 +586,5 @@
 }
 
+
 /**
  * @brief does the reparenting in a very smooth way
@@ -580,4 +599,11 @@
 }
 
+/**
+ * @param parentMode sets the parentingMode of this Node
+ */
+void PNode::setParentMode(PARENT_MODE parentMode)
+{
+  this->parentMode &= (0xfff0 | parentMode);
+}
 
 /**
@@ -589,4 +615,29 @@
   this->setParentMode(PNode::charToParentingMode(parentingMode));
 }
+
+
+/**
+ * !!PRIVATE FUNCTION:
+ * @brief reparents a node (happens on Parents Node delete or remove if Flags are set.)
+ */
+void PNode::reparent()
+{
+  if (this->parentMode & PNODE_REPARENT_TO_NULLPARENT)
+    this->setParent(NullParent::getInstance());
+  else if (this->parentMode & PNODE_REPARENT_TO_PARENTS_PARENT && this->parent != NULL)
+    this->setParent(this->parent->getParent());
+}
+
+void PNode::addNodeModeFlags(unsigned short nodeFlags)
+{
+  this->parentMode |= nodeFlags;
+}
+
+
+void PNode::removeNodeModeFlags(unsigned short nodeFlags)
+{
+  this->parentMode &= !nodeFlags;
+}
+
 
 /**
@@ -602,78 +653,84 @@
   if( likely(this->parent != NULL))
     {
-      // movement for nodes with smoothMove enabled
-      if (unlikely(this->toCoordinate != NULL))
+      if (!(this->parentMode & PNODE_STATIC_NODE))
       {
-        Vector moveVect = (*this->toCoordinate - this->relCoordinate) *fabsf(dt)*bias;
-        if (likely(moveVect.len() >= PNODE_ITERATION_DELTA))
+        // movement for nodes with smoothMove enabled
+        if (unlikely(this->toCoordinate != NULL))
         {
-          this->shiftCoor(moveVect);
+          Vector moveVect = (*this->toCoordinate - this->relCoordinate) *fabsf(dt)*bias;
+          if (likely(moveVect.len() >= PNODE_ITERATION_DELTA))
+          {
+            this->shiftCoor(moveVect);
+          }
+          else
+          {
+            delete this->toCoordinate;
+            this->toCoordinate = NULL;
+            PRINTF(5)("SmoothMove of %s finished\n", this->getName());
+          }
         }
-        else
+        if (unlikely(this->toDirection != NULL))
         {
-          delete this->toCoordinate;
-          this->toCoordinate = NULL;
-          PRINTF(5)("SmoothMove of %s finished\n", this->getName());
+          Quaternion rotQuat = Quaternion::quatSlerp(this->relDirection,*this->toDirection, fabsf(dt)*this->bias);
+          if (this->relDirection.distance(rotQuat) >PNODE_ITERATION_DELTA)
+          {
+            this->relDirection = rotQuat;
+            this->bRelDirChanged;
+          }
+          else
+          {
+            delete this->toDirection;
+            this->toDirection = NULL;
+             PRINTF(5)("SmoothRotate of %s finished\n", this->getName());
+          }
+        }
+
+        // MAIN UPDATE /////////////////////////////////////
+        this->lastAbsCoordinate = this->absCoordinate;
+
+        PRINTF(5)("PNode::update - %s - (%f, %f, %f)\n", this->getName(), this->absCoordinate.x, this->absCoordinate.y, this->absCoordinate.z);
+
+
+        if( this->parentMode & PNODE_LOCAL_ROTATE && this->bRelDirChanged)
+        {
+          /* update the current absDirection - remember * means rotation around sth.*/
+          this->prevRelCoordinate = this->relCoordinate;
+          this->absDirection = this->relDirection * parent->getAbsDir();;
+        }
+
+        if(likely(this->parentMode & PNODE_MOVEMENT && this->bRelCoorChanged))
+        {
+         /* update the current absCoordinate */
+         this->prevRelCoordinate = this->relCoordinate;
+         this->absCoordinate = this->parent->getAbsCoor() + this->relCoordinate;
+        }
+        else if( this->parentMode & PNODE_ROTATE_MOVEMENT && this->bRelCoorChanged)
+        {
+          /* update the current absCoordinate */
+         this->prevRelCoordinate = this->relCoordinate;
+         this->absCoordinate = this->parent->getAbsCoor() + parent->getAbsDir().apply(this->relCoordinate);
+        }
+        /////////////////////////////////////////////////
+      }
+  }
+   else // Nodes without a Parent are handled faster :: MOST LIKELY THE NULLPARENT
+    {
+      if (!(this->parentMode & PNODE_STATIC_NODE))
+      {
+        PRINTF(4)("NullParent::update - (%f, %f, %f)\n", this->absCoordinate.x, this->absCoordinate.y, this->absCoordinate.z);
+        if (this->bRelCoorChanged)
+        {
+          this->prevRelCoordinate = this->relCoordinate;
+          this->absCoordinate = this->relCoordinate;
+        }
+        if (this->bRelDirChanged)
+        {
+          this->prevRelDirection = this->relDirection;
+          this->absDirection = this->getAbsDir () * this->relDirection;
         }
       }
-      if (unlikely(this->toDirection != NULL))
-      {
-        Quaternion rotQuat = Quaternion::quatSlerp(this->relDirection,*this->toDirection, fabsf(dt)*this->bias);
-        if (this->relDirection.distance(rotQuat) >PNODE_ITERATION_DELTA)
-        {
-          this->relDirection = rotQuat;
-          this->bRelDirChanged;
-        }
-        else
-        {
-          delete this->toDirection;
-          this->toDirection = NULL;
-          PRINTF(5)("SmoothRotate of %s finished\n", this->getName());
-        }
-      }
-
-      // MAIN UPDATE /////////////////////////////////////
-      this->lastAbsCoordinate = this->absCoordinate;
-
-      PRINTF(5)("PNode::update - %s - (%f, %f, %f)\n", this->getName(), this->absCoordinate.x, this->absCoordinate.y, this->absCoordinate.z);
-
-
-      if( this->parentMode & PNODE_LOCAL_ROTATE && this->bRelDirChanged)
-      {
-        /* update the current absDirection - remember * means rotation around sth.*/
-        this->prevRelCoordinate = this->relCoordinate;
-        this->absDirection = this->relDirection * parent->getAbsDir();;
-      }
-
-      if(likely(this->parentMode & PNODE_MOVEMENT && this->bRelCoorChanged))
-      {
-        /* update the current absCoordinate */
-        this->prevRelCoordinate = this->relCoordinate;
-        this->absCoordinate = this->parent->getAbsCoor() + this->relCoordinate;
-      }
-      else if( this->parentMode & PNODE_ROTATE_MOVEMENT && this->bRelCoorChanged)
-      {
-        /* update the current absCoordinate */
-        this->prevRelCoordinate = this->relCoordinate;
-        this->absCoordinate = this->parent->getAbsCoor() + parent->getAbsDir().apply(this->relCoordinate);
-      }
-      /////////////////////////////////////////////////
-   }
-  else
-    {
-      PRINTF(4)("NullParent::update - (%f, %f, %f)\n", this->absCoordinate.x, this->absCoordinate.y, this->absCoordinate.z);
-      if (this->bRelCoorChanged)
-      {
-        this->prevRelCoordinate = this->relCoordinate;
-        this->absCoordinate = this->relCoordinate;
-      }
-      if (this->bRelDirChanged)
-      {
-        this->prevRelDirection = this->relDirection;
-        this->absDirection = this->getAbsDir () * this->relDirection;
-      }
     }
 
-    if(!this->children.empty())
+    if(!this->children.empty() && (this->bActive || this->parentMode & PNODE_UPDATE_CHILDREN_IF_INACTIVE ))
     {
       list<PNode*>::iterator child;
Index: /trunk/src/lib/coord/p_node.h
===================================================================
--- /trunk/src/lib/coord/p_node.h	(revision 6053)
+++ /trunk/src/lib/coord/p_node.h	(revision 6054)
@@ -28,4 +28,5 @@
 
 #define PNODE_ITERATION_DELTA    .001
+
 //! Parental linkage modes
 typedef enum
@@ -45,5 +46,6 @@
   PNODE_REPARENT_TO_PARENTS_PARENT     = 0x0020,    //!< Reparents the Node to the parents (old) parent it the parent gets removed.
   PNODE_REPARENT_DELETE_CHILDREN       = 0x0040,    //!< Deletes the Children of the node when This Node is Removed. (Use with care).
-  PNODE_REPARENT_KEEP_POSITION         = 0x0080,    //!< Tries to keep the Position if the Node is reparented.
+  /// FIXME
+   PNODE_REPARENT_KEEP_POSITION         = 0x0080,    //!< Tries to keep the Position if the Node is reparented.
 
 
@@ -51,6 +53,5 @@
   PNODE_PROHIBIT_CHILD_DELETE          = 0x0100,    //!< Prohibits the Children from being deleted if this Node gets deleted.
   PNODE_PROHIBIT_DELETE_WITH_PARENT    = 0x0200,    //!< Prohibits the Node to be deleted if the Parent is. Child will be reparented according to the Repaenting-Rules
-  PNODE_REPARENT_CHILDREN_ON_DELETE    = 0x0400,    //!< Reparents the Children of the Node to
-  PNODE_REPARANT_CHILDREN_ON_REMOVE    = 0x0800,    //!< Reparents the Children of the Node if the Node gets Removed.
+  PNODE_REPARENT_CHILDREN_ON_REMOVE    = 0x0400,    //!< Reparents the Children of the Node if the Node gets Removed.
 
   // VISIBILITY/ACTIVITY
@@ -64,4 +65,5 @@
 //! The default mode of the translation-binding.
 #define PNODE_PARENT_MODE_DEFAULT PNODE_ALL | \
+                                  PNODE_REPARENT_CHILDREN_ON_REMOVE | \
                                   PNODE_REPARENT_KEEP_POSITION
 
@@ -77,4 +79,8 @@
 
   void loadParams(const TiXmlElement* root);
+
+  inline void activateNode() { this->bActive = true; };
+  inline void deactivateNode() { this->bActive = false; };
+  inline bool getNodeActiveState() { return this->bActive; };
 
   void setRelCoor (const Vector& relCoord);
@@ -132,5 +138,5 @@
   void removeNode();
 
-  /** @param the new parent of this node */
+  /** @param parent the new parent of this node */
   inline void setParent (PNode* parent) { parent->addChild(this); };
   void setParent (const char* parentName);
@@ -143,9 +149,12 @@
   void setParentSoft(const char* parentName, float bias = 1.0);
 
-  /** @param parentMode sets the parentingMode of this Node */
-  void setParentMode (PARENT_MODE parentMode) { this->parentMode = parentMode; };
+  void setParentMode (PARENT_MODE parentMode);
   void setParentMode (const char* parentingMode);
   /** @returns the Parenting mode of this node */
-  int getParentMode() const { return this->parentMode; };
+  int getParentMode() const { return 0x000f & this->parentMode; };
+
+  void addNodeModeFlags(unsigned short nodeFlags);
+  void removeNodeModeFlags(unsigned short nodeFlags);
+
 
   void updateNode (float dt);
Index: /trunk/src/lib/event/event_handler.cc
===================================================================
--- /trunk/src/lib/event/event_handler.cc	(revision 6053)
+++ /trunk/src/lib/event/event_handler.cc	(revision 6054)
@@ -258,9 +258,9 @@
 void EventHandler::grabEvents(bool grabEvents)
 {
-     this->eventsGrabbed = grabEvents;
-     if(!grabEvents)
-      SDL_WM_GrabInput(SDL_GRAB_OFF);
-     else
-      SDL_WM_GrabInput(SDL_GRAB_ON); 
+  this->eventsGrabbed = grabEvents;
+  if(!grabEvents)
+    SDL_WM_GrabInput(SDL_GRAB_OFF);
+  else
+    SDL_WM_GrabInput(SDL_GRAB_ON);
 }
 
@@ -364,4 +364,6 @@
   {
     printf("Not sending event to the WindowManager\n");
+
+    EventHandler::getInstance()->grabEvents(false);
     return 0;
   }
Index: /trunk/src/lib/event/event_handler.h
===================================================================
--- /trunk/src/lib/event/event_handler.h	(revision 6053)
+++ /trunk/src/lib/event/event_handler.h	(revision 6054)
@@ -44,4 +44,5 @@
   void withUNICODE(bool enableUNICODE);
   void grabEvents(bool grabEvents);
+  bool grabbedEvents() const { return this->eventsGrabbed; };
 
   void process();
@@ -52,5 +53,4 @@
  private:
   EventHandler();
-
 
  private:
Index: /trunk/src/story_entities/world.cc
===================================================================
--- /trunk/src/story_entities/world.cc	(revision 6053)
+++ /trunk/src/story_entities/world.cc	(revision 6054)
@@ -145,4 +145,10 @@
   // erease everything that is left.
   delete NullParent::getInstance();
+
+  //secondary cleanup of PNodes;
+  const std::list<BaseObject*>* nodeList = ClassList::getList(CL_PARENT_NODE);
+  if (nodeList != NULL)
+    while (!nodeList->empty())
+      delete nodeList->front();
 
   Shader::suspendShader();
Index: /trunk/src/world_entities/npcs/npc.cc
===================================================================
--- /trunk/src/world_entities/npcs/npc.cc	(revision 6053)
+++ /trunk/src/world_entities/npcs/npc.cc	(revision 6054)
@@ -59,4 +59,5 @@
     }
     State::getWorldEntityList()->remove(this);
+    this->removeNode();
 
       this->collider = entity;
@@ -68,4 +69,5 @@
     this->setVisibiliy(false);
     State::getWorldEntityList()->remove(this);
+    this->removeNode();
   }
 }
Index: /trunk/src/world_entities/npcs/npc_test.cc
===================================================================
--- /trunk/src/world_entities/npcs/npc_test.cc	(revision 6053)
+++ /trunk/src/world_entities/npcs/npc_test.cc	(revision 6054)
@@ -58,20 +58,4 @@
 
 
-void NPC2::collidesWith(WorldEntity* entity, const Vector& location)
-{
-  if (entity->isA(CL_PROJECTILE))
-  {
-    PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getName(), entity->getName(), location.x, location.y, location.z);
-    this->applyForce(Vector(0,0,0)-location*1000);
-  }
-  else if (entity->isA(CL_PLAYER))
-    this->applyForce(Vector(0,0,0)-location*100);
-  else
-  {
-    this->setVisibiliy(false);
-   State::getWorldEntityList()->remove(this);
-  }
-}
-
 
 /**
Index: /trunk/src/world_entities/npcs/npc_test.h
===================================================================
--- /trunk/src/world_entities/npcs/npc_test.h	(revision 6053)
+++ /trunk/src/world_entities/npcs/npc_test.h	(revision 6054)
@@ -20,7 +20,4 @@
   virtual void draw() const;
 
-  virtual void collidesWith (WorldEntity* entity, const Vector& location);
-
-
  private:
    Vector   randomRotAxis;
Index: /trunk/src/world_entities/npcs/npc_test1.cc
===================================================================
--- /trunk/src/world_entities/npcs/npc_test1.cc	(revision 6053)
+++ /trunk/src/world_entities/npcs/npc_test1.cc	(revision 6054)
@@ -46,35 +46,4 @@
 
 
-void NPCTest1::collidesWith(WorldEntity* entity, const Vector& location)
-{
-  if (entity->isA(CL_PROJECTILE) && entity != this->collider)
-  {
-//    PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getName(), entity->getName(), location.x, location.y, location.z);
-//    this->applyForce(Vector(0,0,0)-location*1000);
-    if ((float)rand()/RAND_MAX < .3)
-    {
-      WorldEntity* powerUp = new TurretPowerUp();
-      powerUp->setAbsCoor(this->getAbsCoor());
-      State::getWorldEntityList()->add(powerUp);
-    }
-    else if ((float)rand()/RAND_MAX < .3)
-    {
-      WorldEntity* powerUp = new LaserPowerUp();
-      powerUp->setAbsCoor(this->getAbsCoor());
-      State::getWorldEntityList()->add(powerUp);
-    }
-    State::getWorldEntityList()->remove(this);
-
-      this->collider = entity;
-  }
-  else if (entity->isA(CL_PLAYER))
-    this->applyForce(Vector(0,0,0)-location*100);
-  else if (entity->isA(CL_NPC))
-  {
-    this->setVisibiliy(false);
-    State::getWorldEntityList()->remove(this);
-  }
-}
-
 
 void NPCTest1::tick(float dt)
Index: /trunk/src/world_entities/npcs/npc_test1.h
===================================================================
--- /trunk/src/world_entities/npcs/npc_test1.h	(revision 6053)
+++ /trunk/src/world_entities/npcs/npc_test1.h	(revision 6054)
@@ -18,7 +18,4 @@
   virtual void tick(float dt);
 
-  virtual void collidesWith (WorldEntity* entity, const Vector& location);
-
-
  private:
    Vector   randomRotAxis;
Index: /trunk/src/world_entities/weapons/aim.cc
===================================================================
--- /trunk/src/world_entities/weapons/aim.cc	(revision 6053)
+++ /trunk/src/world_entities/weapons/aim.cc	(revision 6054)
@@ -65,4 +65,6 @@
   this->setClassID(CL_CROSSHAIR, "Aim");
   this->setName("Aim");
+
+  this->addNodeModeFlags(PNODE_REPARENT_TO_NULLPARENT);
 
   this->setLayer(E2D_LAYER_TOP);
Index: /trunk/src/world_entities/weapons/guided_missile.cc
===================================================================
--- /trunk/src/world_entities/weapons/guided_missile.cc	(revision 6053)
+++ /trunk/src/world_entities/weapons/guided_missile.cc	(revision 6054)
@@ -152,7 +152,7 @@
 {
   //Vector v = *this->flightDirection * ( this->speed * time * 1000 + 0.1);
-  if (target != NULL && target->getParent() != NullParent::getInstance())
+  if (target.getParent() != NullParent::getInstance())
    {
-     velocity += ((target->getAbsCoor() - this->getAbsCoor()).getNormalized())*agility;
+     velocity += ((target.getAbsCoor() - this->getAbsCoor()).getNormalized())*agility;
      float speed = velocity.len();
      if (speed > this->maxVelocity)
Index: /trunk/src/world_entities/weapons/guided_missile.h
===================================================================
--- /trunk/src/world_entities/weapons/guided_missile.h	(revision 6053)
+++ /trunk/src/world_entities/weapons/guided_missile.h	(revision 6054)
@@ -9,5 +9,4 @@
 #include "projectile.h"
 
-class Vector;
 class Weapon;
 class ParticleSystem;
Index: /trunk/src/world_entities/weapons/projectile.cc
===================================================================
--- /trunk/src/world_entities/weapons/projectile.cc	(revision 6053)
+++ /trunk/src/world_entities/weapons/projectile.cc	(revision 6054)
@@ -38,5 +38,6 @@
   this->lifeCycle = 0.0;
   this->lifeSpan = 1.0f; /* sec */
-  this->target = NULL;
+  this->target.addNodeModeFlags(PNODE_PROHIBIT_DELETE_WITH_PARENT |
+                                PNODE_REPARENT_TO_NULLPARENT);
 
   this->removeNode();
@@ -103,8 +104,5 @@
 void Projectile::setTarget(PNode* target)
 {
-
-  if (this->target == NULL)
-     this->target = new PNode();
-  this->target->setParent(target);
+  this->target.setParent(target);
 }
 
Index: /trunk/src/world_entities/weapons/projectile.h
===================================================================
--- /trunk/src/world_entities/weapons/projectile.h	(revision 6053)
+++ /trunk/src/world_entities/weapons/projectile.h	(revision 6054)
@@ -55,5 +55,5 @@
     Vector                velocity;                  //!< velocity of the projectile.
 
-    PNode*                target;                    //!< A target for guided Weapons.
+    PNode                 target;                    //!< A target for guided Weapons.
 };
 
Index: /trunk/src/world_entities/weapons/weapon.cc
===================================================================
--- /trunk/src/world_entities/weapons/weapon.cc	(revision 6053)
+++ /trunk/src/world_entities/weapons/weapon.cc	(revision 6054)
@@ -528,11 +528,4 @@
   tick(dt);
 }
-
-/**
- *  this will draw the weapon
-*/
-void Weapon::draw () const
-{}
-
 
 
Index: /trunk/src/world_entities/weapons/weapon.h
===================================================================
--- /trunk/src/world_entities/weapons/weapon.h	(revision 6053)
+++ /trunk/src/world_entities/weapons/weapon.h	(revision 6054)
@@ -148,5 +148,4 @@
 
     virtual void tick(float dt) {};
-    virtual void draw() const;
 
     bool check() const;
Index: /trunk/src/world_entities/weapons/weapon_manager.cc
===================================================================
--- /trunk/src/world_entities/weapons/weapon_manager.cc	(revision 6053)
+++ /trunk/src/world_entities/weapons/weapon_manager.cc	(revision 6054)
@@ -35,5 +35,5 @@
 
 /**
- * this initializes the weaponManager for a given nnumber of weapon slots
+ * @brief this initializes the weaponManager for a given nnumber of weapon slots
  * @param number of weapon slots of the model/ship <= 8 (limitied)
  */
@@ -51,5 +51,5 @@
 
 /**
- * Destroys a WeaponManager
+ * @brief Destroys a WeaponManager
  */
 WeaponManager::~WeaponManager()
@@ -60,5 +60,5 @@
 
 /**
- * initializes the WeaponManager
+ * @brief initializes the WeaponManager
  */
 void WeaponManager::init()