Index: branches/network/src/orxonox.cc
===================================================================
--- branches/network/src/orxonox.cc	(revision 6062)
+++ branches/network/src/orxonox.cc	(revision 6063)
@@ -352,8 +352,10 @@
   this->gameLoader = GameLoader::getInstance();
 
-  if( this->port != -1 || this->serverName != NULL)
-    this->gameLoader->loadCampaign("worlds/DefaultCampaign.oxc"); /* actualy loadNetworkCampaign*/
+  if( this->serverName != NULL)
+    this->gameLoader->loadNetworkCampaign("worlds/DefaultCampaign.oxc", NET_CLIENT);    /* start as client */
+  else if( this->port != -1)
+    this->gameLoader->loadNetworkCampaign("worlds/DefaultCampaign.oxc", NET_SERVER);    /* start as server */
   else
-    this->gameLoader->loadCampaign("worlds/DefaultCampaign.oxc");
+    this->gameLoader->loadCampaign("worlds/DefaultCampaign.oxc");                       /* start orxonox in single player mode */
 
   //  this->gameLoader->loadDebugCampaign(DEBUG_CAMPAIGN_0);
Index: branches/network/src/util/loading/game_loader.cc
===================================================================
--- branches/network/src/util/loading/game_loader.cc	(revision 6062)
+++ branches/network/src/util/loading/game_loader.cc	(revision 6063)
@@ -46,5 +46,5 @@
 /**
  *  simple constructor
-*/
+ */
 GameLoader::GameLoader ()
 {
@@ -57,5 +57,5 @@
 /**
  *  simple deconstructor
-*/
+ */
 GameLoader::~GameLoader ()
 {
@@ -69,7 +69,7 @@
  *  this class is a singleton class
  * @returns an instance of itself
-
-   if you are unsure about singleton classes, check the theory out on the internet :)
-*/
+ *
+ * if you are unsure about singleton classes, check the theory out on the internet :)
+ */
 GameLoader* GameLoader::getInstance()
 {
@@ -81,5 +81,5 @@
 /**
  *  initializes the GameLoader
-*/
+ */
 ErrorMessage GameLoader::init()
 {
@@ -100,7 +100,7 @@
  * @param fileName to be loaded
  * @returns the loaded campaign
-
-   this will interprete the map/campaign files and recursivly load a tree of worlds/campaigns
-*/
+ *
+ * this will interprete the map/campaign files and recursivly load a tree of worlds/campaigns
+ */
 ErrorMessage GameLoader::loadCampaign(const char* fileName)
 {
@@ -122,8 +122,8 @@
  * @param fileName to be loaded
  * @returns the loaded campaign
-
-   this will interprete the map/campaign files and recursivly load a tree of worlds/campaigns
- */
-ErrorMessage GameLoader::loadNetworkCampaign(const char* fileName)
+ *
+ * this will interprete the map/campaign files and recursivly load a tree of worlds/campaigns
+ */
+ErrorMessage GameLoader::loadNetworkCampaign(const char* fileName, int nodeState)
 {
   ErrorMessage errorCode;
@@ -131,12 +131,8 @@
   if (campaignName)
   {
-    this->currentCampaign = this->fileToNetworkCampaign(campaignName);
+    this->currentCampaign = this->fileToNetworkCampaign(campaignName, nodeState);
     delete[] campaignName;
   }
-//   World* world0 = new World(DEBUG_WORLD_0);
-//   world0->setNextStoryID(WORLD_ID_GAMEEND);
-//   this->currentCampaign->addEntity(world0, WORLD_ID_2);
-}
-
+}
 
 
@@ -145,5 +141,5 @@
  * @param campaignID the identifier of the campaign.
  * @returns error message if not able to do so.
-*/
+ */
 ErrorMessage GameLoader::loadDebugCampaign(Uint32 campaignID)
 {
@@ -180,7 +176,7 @@
 
 /**
-  *  starts the current entity
-  * @returns error code if this action has caused a error
-*/
+ *  starts the current entity
+ * @returns error code if this action has caused a error
+ */
 ErrorMessage GameLoader::start()
 {
@@ -191,13 +187,13 @@
 
 /**
-  *  stops the current entity
-  * @returns error code if this action has caused a error
-
-    ATTENTION: this function shouldn't call other functions, or if so, they must return
-    after finishing. If you ignore or forget to do so, the current entity is not able to
-    terminate and it will run in the background or the ressources can't be freed or even
-    worse: are freed and the program will end in a segmentation fault!
-    hehehe, have ya seen it... :)
-*/
+ *  stops the current entity
+ * @returns error code if this action has caused a error
+ *
+ *  ATTENTION: this function shouldn't call other functions, or if so, they must return
+ *  after finishing. If you ignore or forget to do so, the current entity is not able to
+ *  terminate and it will run in the background or the ressources can't be freed or even
+ *  worse: are freed and the program will end in a segmentation fault!
+ *  hehehe, have ya seen it... :)
+ */
 void GameLoader::stop()
 {
@@ -208,9 +204,9 @@
 
 /**
-  *  pause the current entity
-  * @returns error code if this action has caused a error
-
-    this pauses the current entity or passes this call forth to the running entity.
-*/
+ *  pause the current entity
+ * @returns error code if this action has caused a error
+ *
+ * this pauses the current entity or passes this call forth to the running entity.
+ */
 ErrorMessage GameLoader::pause()
 {
@@ -222,9 +218,9 @@
 
 /**
-  *  resumes a pause
-  * @returns error code if this action has caused a error
-
-    this resumess the current entity or passes this call forth to the running entity.
-*/
+ *  resumes a pause
+ * @returns error code if this action has caused a error
+ *
+ *  this resumess the current entity or passes this call forth to the running entity.
+ */
 ErrorMessage GameLoader::resume()
 {
@@ -248,7 +244,7 @@
  * @param fileName to be loaded
  * @returns the loaded campaign
-
-   this will interprete the map/campaign files and recursivly load a tree of worlds/campaigns
-*/
+ *
+ * this will interprete the map/campaign files and recursivly load a tree of worlds/campaigns
+ */
 Campaign* GameLoader::fileToCampaign(const char* fileName)
 {
@@ -296,13 +292,12 @@
 
 
-
 /**
  *  reads a campaign definition file into a campaign class
  * @param fileName to be loaded
  * @returns the loaded campaign
-
-   this will interprete the map/campaign files and recursivly load a tree of worlds/campaigns
- */
-Campaign* GameLoader::fileToNetworkCampaign(const char* fileName)
+ *
+ *  this will interprete the map/campaign files and recursivly load a tree of worlds/campaigns
+ */
+Campaign* GameLoader::fileToNetworkCampaign(const char* fileName, int nodeState)
 {
   /* do not entirely load the campaign. just the current world
@@ -389,6 +384,6 @@
 
 /**
-  \brief this changes to the next level
-*/
+ *  \brief this changes to the next level
+ */
 void GameLoader::nextLevel()
 {
@@ -399,8 +394,8 @@
 
 /**
-  \brief change to the previous level - not implemented
-
-  this propably useless
-*/
+ *  change to the previous level - not implemented
+ *
+ * this propably useless
+ */
 void GameLoader::previousLevel()
 {
Index: branches/network/src/util/loading/game_loader.h
===================================================================
--- branches/network/src/util/loading/game_loader.h	(revision 6062)
+++ branches/network/src/util/loading/game_loader.h	(revision 6063)
@@ -40,4 +40,5 @@
 {
 
+
  public:
   ~GameLoader ();
@@ -46,6 +47,4 @@
 
   ErrorMessage init();
-  ErrorMessage loadCampaign(const char* name);
-  ErrorMessage loadNetworkCampaign(const char* fileName);
   ErrorMessage start();
   void stop();
@@ -54,12 +53,13 @@
   ErrorMessage destroy();
 
+  ErrorMessage loadCampaign(const char* name);
+  ErrorMessage loadDebugCampaign(Uint32 campaignID);
+  ErrorMessage loadNetworkCampaign(const char* fileName, int nodeState);
+
   void nextLevel();
   void previousLevel();
 
-  /** \brief a world command to send to the GameLoader @param cmd the command */
-  bool worldCommand(Command* cmd);
-  ErrorMessage loadDebugCampaign(Uint32 campaignID);
+  void process(const Event &event);
 
-  void process(const Event &event);
 
  private:
@@ -67,5 +67,6 @@
 
   Campaign* fileToCampaign(const char* name);
-  Campaign* fileToNetworkCampaign(const char* fileName);
+  Campaign* fileToNetworkCampaign(const char* fileName, int nodeState);
+
 
  private: