Index: code/branches/particles2/data/levels/empty_level.oxw
===================================================================
--- code/branches/particles2/data/levels/empty_level.oxw	(revision 6059)
+++ code/branches/particles2/data/levels/empty_level.oxw	(revision 6065)
@@ -18,5 +18,5 @@
   >
 
-<Rocket position="-10, 3.5,800" velocity="0,0,-100"> 
+<!--Rocket position="-10, 3.5,800" velocity="0,0,-100"> 
       <attached>
         <Model pitch=180 position="0,0,0" scale=1.5 mesh="rocket_test.mesh" >
@@ -29,5 +29,5 @@
 	  </Model>
 	</attached>
-    </Rocket>
+    </Rocket-->
     
     
Index: code/branches/particles2/data/levels/includes/weaponsettings3.oxi
===================================================================
--- code/branches/particles2/data/levels/includes/weaponsettings3.oxi	(revision 6059)
+++ code/branches/particles2/data/levels/includes/weaponsettings3.oxi	(revision 6065)
@@ -2,9 +2,10 @@
       <WeaponSlot position="-15.0,-1.5,0" />
       <WeaponSlot position=" 15.0,-1.5,0" />
-      <WeaponSlot position="  0.0, 0.0,0" />
+      <WeaponSlot position="    0,   0,0" />
     </weaponslots>
     <weaponsets>
       <WeaponSet firemode=0 />
       <WeaponSet firemode=1 />
+      <WeaponSet firemode=2 />
     </weaponsets>
     <weapons>
@@ -13,4 +14,5 @@
           <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
           <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
         </links>
         <Weapon>
@@ -36,4 +38,7 @@
           <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
+        <Weapon>
+          <RocketFire mode=2 muzzleoffset="0,0,0" />
+        </Weapon>
       </WeaponPack>
       <WeaponPack>
Index: code/branches/particles2/data/particle/Ogre.log
===================================================================
--- code/branches/particles2/data/particle/Ogre.log	(revision 6059)
+++ 	(revision )
@@ -1,58 +1,0 @@
-13:25:05: Creating resource group General
-13:25:05: Creating resource group Internal
-13:25:05: Creating resource group Autodetect
-13:25:05: Registering ResourceManager for type Material
-13:25:05: Registering ResourceManager for type Mesh
-13:25:05: Registering ResourceManager for type Skeleton
-13:25:05: MovableObjectFactory for type 'ParticleSystem' registered.
-13:25:05: Loading library OgrePlatform.dll
-13:25:05: OverlayElementFactory for type Panel registered.
-13:25:05: OverlayElementFactory for type BorderPanel registered.
-13:25:05: OverlayElementFactory for type TextArea registered.
-13:25:05: Registering ResourceManager for type Font
-13:25:05: ArchiveFactory for archive type FileSystem registered.
-13:25:05: ArchiveFactory for archive type Zip registered.
-13:25:05: DevIL version: Developer's Image Library (DevIL) 1.6.7 Oct 28 2005
-13:25:05: DevIL image formats: bmp dib cut dcx dds gif hdr ico cur jpg jpe jpeg lif mdl mng jng pcx pic pix png pbm pgm pnm ppm psd pdd psp pxr sgi bw rgb rgba tga vda icb vst tif tiff wal xpm raw 
-13:25:05: Registering ResourceManager for type HighLevelGpuProgram
-13:25:05: Registering ResourceManager for type Compositor
-13:25:05: MovableObjectFactory for type 'Entity' registered.
-13:25:05: MovableObjectFactory for type 'Light' registered.
-13:25:05: MovableObjectFactory for type 'BillboardSet' registered.
-13:25:05: MovableObjectFactory for type 'ManualObject' registered.
-13:25:05: MovableObjectFactory for type 'BillboardChain' registered.
-13:25:05: MovableObjectFactory for type 'RibbonTrail' registered.
-13:25:05: An exception has been thrown!
-
------------------------------------
-Details:
------------------------------------
-Error #: 8
-Function: ConfigFile::load
-Description: 'plugins.cfg' file not found!. 
-File: \cvs\ogrenew\OgreMain\src\OgreConfigFile.cpp
-Line: 79
-Stack unwinding: <<beginning of stack>>
-13:25:05: plugins.cfg not found, automatic plugin loading disabled.
-13:25:05: *-*-* OGRE Initialising
-13:25:05: *-*-* Version 1.3.0 (Eihort)
-13:25:05: An exception has been thrown!
-
------------------------------------
-Details:
------------------------------------
-Error #: 8
-Function: ConfigFile::load
-Description: 'resources.cfg' file not found!. 
-File: \cvs\ogrenew\OgreMain\src\OgreConfigFile.cpp
-Line: 79
-Stack unwinding: <<beginning of stack>>
-13:25:10: ___Particle Editor closing down cleanly.___
-13:25:10: *-*-* OGRE Shutdown
-13:25:10: Unregistering ResourceManager for type Compositor
-13:25:10: Unregistering ResourceManager for type Font
-13:25:10: Unregistering ResourceManager for type Skeleton
-13:25:10: Unregistering ResourceManager for type Mesh
-13:25:10: Unregistering ResourceManager for type HighLevelGpuProgram
-13:25:10: Unregistering ResourceManager for type Material
-13:25:10: Unloading library OgrePlatform.dll