Index: code/trunk/src/libraries/core/DynLib.cc
===================================================================
--- code/trunk/src/libraries/core/DynLib.cc	(revision 6072)
+++ code/trunk/src/libraries/core/DynLib.cc	(revision 6073)
@@ -70,5 +70,5 @@
         COUT(2) << "Loading module " << mName << std::endl;
 
-		std::string name = mName;
+        std::string name = mName;
 #ifdef ORXONOX_PLATFORM_LINUX
         // dlopen() does not add .so to the filename, like windows does for .dll
@@ -93,10 +93,10 @@
 
         if( DYNLIB_UNLOAD( m_hInst ) )
-		{
+        {
             ThrowException(
                 General,
                 "Could not unload dynamic library " + mName +
                 ".  System Error: " + dynlibError());
-		}
+        }
 
     }
Index: code/trunk/src/libraries/core/DynLib.h
===================================================================
--- code/trunk/src/libraries/core/DynLib.h	(revision 6072)
+++ code/trunk/src/libraries/core/DynLib.h	(revision 6073)
@@ -72,8 +72,8 @@
             Resource
     */
-	class _CoreExport DynLib
+    class _CoreExport DynLib
     {
-	protected:
-		std::string mName;
+    protected:
+        std::string mName;
         /// Gets the last loading error
         std::string dynlibError(void);
@@ -95,6 +95,6 @@
         */
         void unload();
-		/// Get the name of the library
-		const std::string& getName(void) const { return mName; }
+        /// Get the name of the library
+        const std::string& getName(void) const { return mName; }
 
         /**
Index: code/trunk/src/libraries/core/DynLibManager.cc
===================================================================
--- code/trunk/src/libraries/core/DynLibManager.cc	(revision 6072)
+++ code/trunk/src/libraries/core/DynLibManager.cc	(revision 6073)
@@ -41,35 +41,35 @@
 
     //-----------------------------------------------------------------------
-	DynLibManager::DynLibManager()
-	{
-	}
-	//-----------------------------------------------------------------------
+    DynLibManager::DynLibManager()
+    {
+    }
+    //-----------------------------------------------------------------------
     DynLib* DynLibManager::load( const std::string& filename)
     {
-		DynLibList::iterator i = mLibList.find(filename);
-		if (i != mLibList.end())
-		{
-			return i->second;
-		}
-		else
-		{
-	        DynLib* pLib = new DynLib(filename);
-			pLib->load();
-        	mLibList[filename] = pLib;
-	        return pLib;
-		}
+        DynLibList::iterator i = mLibList.find(filename);
+        if (i != mLibList.end())
+        {
+            return i->second;
+        }
+        else
+        {
+            DynLib* pLib = new DynLib(filename);
+            pLib->load();
+            mLibList[filename] = pLib;
+            return pLib;
+        }
     }
-	//-----------------------------------------------------------------------
-	void DynLibManager::unload(DynLib* lib)
-	{
-		DynLibList::iterator i = mLibList.find(lib->getName());
-		if (i != mLibList.end())
-		{
-			mLibList.erase(i);
-		}
-		lib->unload();
-		delete lib;
-	}
-	//-----------------------------------------------------------------------
+    //-----------------------------------------------------------------------
+    void DynLibManager::unload(DynLib* lib)
+    {
+        DynLibList::iterator i = mLibList.find(lib->getName());
+        if (i != mLibList.end())
+        {
+            mLibList.erase(i);
+        }
+        lib->unload();
+        delete lib;
+    }
+    //-----------------------------------------------------------------------
     DynLibManager::~DynLibManager()
     {
Index: code/trunk/src/libraries/network/FunctionCallManager.cc
===================================================================
--- code/trunk/src/libraries/network/FunctionCallManager.cc	(revision 6072)
+++ code/trunk/src/libraries/network/FunctionCallManager.cc	(revision 6073)
@@ -43,5 +43,5 @@
     FunctionCallManager::clientMap_[clientID]->setClientID(clientID); 
   } 
-  FunctionCallManager::	clientMap_[clientID]->addCallStatic(functionID);
+  FunctionCallManager::clientMap_[clientID]->addCallStatic(functionID);
 }
 void FunctionCallManager::addCallStatic(uint32_t functionID, uint32_t clientID, const MultiType& mt1)
Index: code/trunk/src/libraries/network/FunctionCallManager.h
===================================================================
--- code/trunk/src/libraries/network/FunctionCallManager.h	(revision 6072)
+++ code/trunk/src/libraries/network/FunctionCallManager.h	(revision 6073)
@@ -37,5 +37,5 @@
 namespace orxonox {
 /**
-	@author
+    @author
 */
 
Index: code/trunk/src/libraries/network/GamestateHandler.h
===================================================================
--- code/trunk/src/libraries/network/GamestateHandler.h	(revision 6072)
+++ code/trunk/src/libraries/network/GamestateHandler.h	(revision 6073)
@@ -35,5 +35,5 @@
 
 /**
-	@author Oliver Scheuss
+    @author Oliver Scheuss
 */
 class _NetworkExport GamestateHandler{
Index: code/trunk/src/libraries/network/Host.h
===================================================================
--- code/trunk/src/libraries/network/Host.h	(revision 6072)
+++ code/trunk/src/libraries/network/Host.h	(revision 6073)
@@ -45,5 +45,5 @@
 *       - defines static functions available on both server and client
 *       - is the interface to be used when communicating with the network
-*	@author Oliver Scheuss
+*       @author Oliver Scheuss
 */
 class _NetworkExport Host{
Index: code/trunk/src/libraries/network/TrafficControl.cc
===================================================================
--- code/trunk/src/libraries/network/TrafficControl.cc	(revision 6072)
+++ code/trunk/src/libraries/network/TrafficControl.cc	(revision 6073)
@@ -64,24 +64,24 @@
 *Initializing protected members
 */
-	TrafficControl *TrafficControl::instance_=0;
-
-	/**
-	* @brief Constructor: assures that only one reference will be created and sets the pointer
-	*/
-	TrafficControl::TrafficControl()
-	{
+    TrafficControl *TrafficControl::instance_=0;
+
+    /**
+    * @brief Constructor: assures that only one reference will be created and sets the pointer
+    */
+    TrafficControl::TrafficControl()
+    {
     RegisterObject(TrafficControl);
-	  assert(instance_==0);
-	  instance_=this;
+      assert(instance_==0);
+      instance_=this;
     this->setConfigValues();
-	}
-
-	/**
-	* @brief Destructor: resets the instance pointer to 0
-	*/
-	TrafficControl::~TrafficControl()
-	{
-	  instance_=0;
-	}
+    }
+
+    /**
+    * @brief Destructor: resets the instance pointer to 0
+    */
+    TrafficControl::~TrafficControl()
+    {
+      instance_=0;
+    }
 
 /**
@@ -121,11 +121,11 @@
 
 
-	void TrafficControl::processObjectList(unsigned int clientID, unsigned int gamestateID, std::list<obj>& list)
-	{
-	  currentClientID=clientID;
-	  currentGamestateID=gamestateID;
-	  evaluateList(clientID, list);
-	  return;
-	}
+    void TrafficControl::processObjectList(unsigned int clientID, unsigned int gamestateID, std::list<obj>& list)
+    {
+      currentClientID=clientID;
+      currentGamestateID=gamestateID;
+      evaluateList(clientID, list);
+      return;
+    }
 
   TrafficControl *TrafficControl::getInstance()
@@ -135,9 +135,9 @@
   }
 
-	void TrafficControl::ack(unsigned int clientID, unsigned int gamestateID)
-	{
+    void TrafficControl::ack(unsigned int clientID, unsigned int gamestateID)
+    {
     if ( !this->bActive_ )
       return;
-	  std::list<obj>::iterator itvec;  // iterator to iterate through the acked objects
+      std::list<obj>::iterator itvec;  // iterator to iterate through the acked objects
 
     //assertions to make sure the maps already exist
@@ -151,5 +151,5 @@
 
     for(itvec = objectListTemp[gamestateID].begin(); itvec != objectListTemp[gamestateID].end(); itvec++)
-	  {
+      {
       if(objectListPerm.find((*itvec).objID) != objectListPerm.end()) // check whether the obj already exists in our lists
       {
@@ -165,8 +165,8 @@
         objectListPerm[(*itvec).objID].objSize = (*itvec).objSize;
       }
-	  }
-	   // remove temporary list (with acked objects) from the map
+      }
+       // remove temporary list (with acked objects) from the map
     objectListTemp.erase( objectListTemp.find(gamestateID) );
-	}
+    }
 
 /**
@@ -174,14 +174,14 @@
 */
 
-	/**
-	*updateClientListPerm
-	*returns void
-	*/
-	void TrafficControl::insertinClientListPerm(unsigned int clientID, obj objinf)
-	{
-	  std::map<unsigned int,std::map<unsigned int, objInfo> >::iterator itperm;//iterator clientListPerm over clientIDs
+    /**
+    *updateClientListPerm
+    *returns void
+    */
+    void TrafficControl::insertinClientListPerm(unsigned int clientID, obj objinf)
+    {
+      std::map<unsigned int,std::map<unsigned int, objInfo> >::iterator itperm;//iterator clientListPerm over clientIDs
     unsigned int gsid=GAMESTATEID_INITIAL, gsdiff=currentGamestateID, prioperm=Synchronisable::getSynchronisable(objinf.objID)->getPriority(), priomom=0;
     clientListPerm_[clientID][objinf.objID] = objInfo(objinf.objID, objinf.objCreatorID,gsid,gsdiff, objinf.objSize,prioperm,priomom);
-	}
+    }
 
   /**
@@ -223,9 +223,9 @@
 
 
-	/**
-	*evaluateList evaluates whether new obj are there, whether there are things to be updatet and manipulates all this.
-	*/
-	void TrafficControl::evaluateList(unsigned int clientID, std::list<obj>& list)
-	{
+    /**
+    *evaluateList evaluates whether new obj are there, whether there are things to be updatet and manipulates all this.
+    */
+    void TrafficControl::evaluateList(unsigned int clientID, std::list<obj>& list)
+    {
 
     if( bActive_ )
Index: code/trunk/src/libraries/network/TrafficControl.h
===================================================================
--- code/trunk/src/libraries/network/TrafficControl.h	(revision 6072)
+++ code/trunk/src/libraries/network/TrafficControl.h	(revision 6073)
@@ -130,5 +130,5 @@
     static void processAck(unsigned int clientID, unsigned int gamestateID)
     { return instance_->ack(clientID, gamestateID); }
-    void deleteObject(unsigned int objectID);				// this function gets called when an object has been deleted (in order to clean up lists and maps)
+    void deleteObject(unsigned int objectID);               // this function gets called when an object has been deleted (in order to clean up lists and maps)
     
     bool prioritySort(uint32_t clientID, obj i, obj j);
Index: code/trunk/src/libraries/network/packet/Acknowledgement.h
===================================================================
--- code/trunk/src/libraries/network/packet/Acknowledgement.h	(revision 6072)
+++ code/trunk/src/libraries/network/packet/Acknowledgement.h	(revision 6073)
@@ -37,5 +37,5 @@
 namespace packet {
 /**
-	@author
+    @author
 */
 class _NetworkExport Acknowledgement : public Packet
Index: code/trunk/src/libraries/network/packet/Chat.h
===================================================================
--- code/trunk/src/libraries/network/packet/Chat.h	(revision 6072)
+++ code/trunk/src/libraries/network/packet/Chat.h	(revision 6073)
@@ -36,5 +36,5 @@
 namespace packet {
 /**
-	@author
+    @author
 */
 class _NetworkExport Chat : public Packet
Index: code/trunk/src/libraries/network/packet/ClassID.h
===================================================================
--- code/trunk/src/libraries/network/packet/ClassID.h	(revision 6072)
+++ code/trunk/src/libraries/network/packet/ClassID.h	(revision 6073)
@@ -38,5 +38,5 @@
   
 /**
-	@author
+    @author
 */
 class _NetworkExport ClassID : public Packet
Index: code/trunk/src/libraries/network/packet/DeleteObjects.h
===================================================================
--- code/trunk/src/libraries/network/packet/DeleteObjects.h	(revision 6072)
+++ code/trunk/src/libraries/network/packet/DeleteObjects.h	(revision 6073)
@@ -35,5 +35,5 @@
 namespace packet {
 /**
-	@author
+    @author
 */
 class _NetworkExport DeleteObjects : public Packet
Index: code/trunk/src/libraries/network/packet/FunctionCalls.h
===================================================================
--- code/trunk/src/libraries/network/packet/FunctionCalls.h	(revision 6072)
+++ code/trunk/src/libraries/network/packet/FunctionCalls.h	(revision 6073)
@@ -40,5 +40,5 @@
 namespace packet {
 /**
-	@author
+    @author
 */
 
Index: code/trunk/src/libraries/network/packet/FunctionIDs.h
===================================================================
--- code/trunk/src/libraries/network/packet/FunctionIDs.h	(revision 6072)
+++ code/trunk/src/libraries/network/packet/FunctionIDs.h	(revision 6073)
@@ -38,5 +38,5 @@
   
 /**
-	@author
+    @author
 */
 class _NetworkExport FunctionIDs : public Packet
Index: code/trunk/src/libraries/network/packet/Gamestate.h
===================================================================
--- code/trunk/src/libraries/network/packet/Gamestate.h	(revision 6072)
+++ code/trunk/src/libraries/network/packet/Gamestate.h	(revision 6073)
@@ -96,5 +96,5 @@
 
 /**
-	@author Oliver Scheuss
+    @author Oliver Scheuss
 */
 class _NetworkExport Gamestate: public Packet{
Index: code/trunk/src/libraries/network/packet/Packet.h
===================================================================
--- code/trunk/src/libraries/network/packet/Packet.h	(revision 6072)
+++ code/trunk/src/libraries/network/packet/Packet.h	(revision 6073)
@@ -57,5 +57,5 @@
 
 /**
-	@author Oliver Scheuss <scheusso [at] ee.ethz.ch>
+    @author Oliver Scheuss <scheusso [at] ee.ethz.ch>
 */
 class _NetworkExport Packet{
Index: code/trunk/src/libraries/network/packet/Welcome.h
===================================================================
--- code/trunk/src/libraries/network/packet/Welcome.h	(revision 6072)
+++ code/trunk/src/libraries/network/packet/Welcome.h	(revision 6073)
@@ -36,5 +36,5 @@
 
 /**
-	@author
+    @author
 */
 class _NetworkExport Welcome : public Packet
Index: code/trunk/src/libraries/network/synchronisable/NetworkCallback.h
===================================================================
--- code/trunk/src/libraries/network/synchronisable/NetworkCallback.h	(revision 6072)
+++ code/trunk/src/libraries/network/synchronisable/NetworkCallback.h	(revision 6073)
@@ -49,5 +49,5 @@
     public:
       NetworkCallback(T* object, void (T::*function) (void)) : object_(object), function_(function) {}
-	  virtual ~NetworkCallback() {}
+      virtual ~NetworkCallback() {}
       virtual void call()
         { (this->object_->*function_)(); }